<?xml version="1.0" encoding="utf-8"?>
<resources xmlns:tools="http://schemas.android.com/tools">
    <!-- Base application theme. -->
    <style name="Base.Theme.VdcScore" parent="Theme.Material3.DayNight.NoActionBar">
        <!-- Customize your dark theme here. -->
        <item name="colorPrimary">@color/brand</item>
        <item name="colorOnPrimary">@color/bg_base</item>
        <item name="colorSecondary">@color/bg_surface</item>
        <item name="colorOnSecondary">@color/text_1</item>
        <item name="android:windowBackground">@color/bg_base</item>
        
        <!-- Status Bar Settings (Pure Dark Mode) -->
        <item name="android:statusBarColor">@color/bg_base</item>
        <item name="android:windowLightStatusBar">false</item>
        <item name="android:windowDrawsSystemBarBackgrounds">true</item>
        
        <item name="android:textColorPrimary">@color/text_1</item>
        <item name="android:textColorSecondary">@color/text_2</item>
        <item name="fontFamily">@font/font_ibm_plex_sans</item>
    </style>
    
    <style name="Theme.VdcScore" parent="Base.Theme.VdcScore" />

    <style name="Theme.VdcScore.NoActionBar">
        <item name="windowActionBar">false</item>
        <item name="windowNoTitle">true</item>
        <item name="android:statusBarColor">@color/bg_base</item>
        <item name="android:windowLightStatusBar">false</item>
        <item name="android:windowDrawsSystemBarBackgrounds">true</item>
    </style>
    <style name="Theme.VdcScore.AppBarOverlay" parent="ThemeOverlay.AppCompat.Dark.ActionBar" />
    <style name="Theme.VdcScore.PopupOverlay" parent="ThemeOverlay.AppCompat.Dark" />
</resources>